%define major		3
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		olm
Version:	3.2.12
Release:	%mkrel 1
Summary:	Double Ratchet cryptographic library
License:	ASL 2.0
Group:		System/Libraries
URL:		https://gitlab.matrix.org/matrix-org/%{name}
Source0:	https://gitlab.matrix.org/matrix-org/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

#
# Security patches
# P100 -> ...
#

BuildRequires:	ninja-build
BuildRequires:  cmake

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cffi)
BuildRequires:	python3dist(future)

%description
An implementation of the Double Ratchet cryptographic ratchet in C++.

#------------------------------------------------

%package -n	%{libname}
Summary:	Double Ratchet cryptographic library
Group:		System/Libraries

%description -n	%{libname}
An implementation of the Double Ratchet cryptographic ratchet in C++.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#------------------------------------------------

%package -n	python3-%{name}
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n	python3-%{name}
Python 3 bindings for Olm Double Ratchet cryptographic library.

#------------------------------------------------

%prep
%autosetup -p1

sed -e "s@/build@/%{_vpath_builddir}@g" -i python/olm_build.py

%build
%cmake -G Ninja \
    -DOLM_TESTS=OFF
%cmake_build

pushd python
%py3_build
popd

%check
pushd %{_vpath_builddir}
    ctest --output-on-failure
popd

%install
%cmake_install

pushd python
%py3_install
popd

%files -n %{libname}
%license LICENSE
%doc *.md *.rst docs/*.md
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/Olm/
%{_libdir}/pkgconfig/%{name}.pc

%files -n python3-%{name}
%{python_sitearch}/%{name}
%{python3_sitearch}/_lib%{name}.abi3.so
%{python3_sitearch}/python_%{name}-*.egg-info


%changelog
* Tue Jul 26 2022 squidf <squidf> 3.2.12-1.mga8
+ Revision: 1872015
- Update to 3.2.12
- Update patch and buildrequires
- Update olm path for ld
+ neoclust <neoclust>
- Add P100: Fixes CVE-2021-44538 (mga#29773)

* Wed Jan 13 2021 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1671586
- initial package olm (needed for neochat)

